Subject: Re: [bug#43851] [PATCH] gnu: sudo: Depend on python-minimal instead of python.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Fri, 09 Oct 2020 21:48:22 +0200

Tobias Geerinckx-Rice writes:

Hello!

> Maxim Cournoyer 写道：
>> If we don't have any use for it, I think it may be better to let the
>> dependency go altogether, to keep sudo as small and secure as
>> possible.
>
> I don't think sudo is either, nor does the presence of Python affect
> that meaningfully.  But let's stop this pointless discussion since
> removing it helps the Hurd progress.  That's enough.
>
> The Hurd is a lot more exciting than the removal of sudo Python
> support -- and actually *will* improve security!

Thanks all, I've removed the python dependency from sudo; pushed to
master as 165e0918da54643bfaf9a6cb6b866f8692e9f8f9.

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com